/* 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is forcect
 *
 * The Initial Developer of the Original Code is 
 * Ryan Gammon <rggammon@alumni.uwaterloo.ca>
 * Portions created by Ryan Gammon are Copyright (C) 2003
 * Ryan Gammon. All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * Alternatively, the contents of this file may be used under the
 * terms of the GNU General Public License Version 2 or later (the
 * "GPL"), in which case the provisions of the GPL are applicable 
 * instead of those above.  If you wish to allow use of your 
 * version of this file only under the terms of the GPL and not to
 * allow others to use your version of this file under the MPL,
 * indicate your decision by deleting the provisions above and
 * replace them with the notice and other provisions required by
 * the GPL.  If you do not delete the provisions above, a recipient
 * may use your version of this file under either the MPL or the
 * GPL.
 */

/*
  I probably shouldn't be executing things in the chrome like this,
  but I don't see where else I can do it. The prefs service doesn't
  work in an app-startup observer or a command line parser observer,
  (profile stuff isn't initialized at that point) and the 
  general.startup.* tree wants me to make a window.

  As things stand now, this file will be run every time we open a
  new window (ideally, it would be run once on startup).

  Any suggestions? rggammon@alumni.uwaterloo.ca
 */
var forceCTClass = Components.classes["@mozilla.org/js_forcect;1"]
if(forceCTClass != undefined) {
	var forceCT = forceCTClass.getService();
	forceCT.QueryInterface(Components.interfaces.nsIForceContentTypeService);
	forceCT.init();
}
forceCT = null;
forceCTClass = null;